package digital.laboratory.platform.inspection.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.inspection.dto.TestRecordStandardSolutionDto;
import digital.laboratory.platform.inspection.entity.TestRecordStandardSolution;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface TestRecordStandardSolutionService extends IService<TestRecordStandardSolution> {
    TestRecordStandardSolution addTestRecordStandardSolution(TestRecordStandardSolutionDto testRecordStandardSolution);

    TestRecordStandardSolution addBlankSolution(String testId,Integer type);

    List<TestRecordStandardSolution> createQualityControlSol(String testId);

    boolean delTestRecordStandardSolution(String id);

    TestRecordStandardSolution updateTestRecordStandardSolution(TestRecordStandardSolutionDto testRecordStandardSolutionDto);

    IPage<TestRecordStandardSolution> getTestRecordStandardSolutionPage(Page<TestRecordStandardSolution> page,String testId, String keywords);

    List<TestRecordStandardSolution> getTestRecordStandardSolutionList(String testId, String keywords);

    @Transactional
    List<TestRecordStandardSolution> matchingWeighing(String testId);

    boolean detection(String testId);
}
